@echo off
set DEVICE=m644p
set PROGRAMMER=avrispmkII
set HEXFILE=A00001_V21_B00023.hex
set FUSE_EXT=0xFD
set FUSE_HIGH=0x9A
set FUSE_LOW=0xF7
set LOCKBITS=0xEC
avrdude.exe -p %DEVICE% -c %PROGRAMMER% -U flash:w:%HEXFILE%:i -U lfuse:w:%FUSE_LOW%:m -U hfuse:w:%FUSE_HIGH%:m -U efuse:w:%FUSE_EXT%:m -U lock:w:%LOCKBITS%:m
if errorlevel 1 (    	
	echo Programmierung fehlgeschlagen
	pause
    exit /b %errorlevel%
)
echo Programmierung erfolgreich
pause